# Connect to Compass

You can connect your dApp to users' Compass wallets by detecting Compass in their browsers and connecting to their accounts. \
\
Install Compass Wallet: <https://chrome.google.com/webstore/detail/compass-wallet/anokgmphncpekkhclmingpimjmcooifb><br>

The wallet uses the EIP-1193 provider spec, so as long as your wallet connector library allows you to inject a wallet, you should not face any issues.

{% hint style="info" %}
Compass supports [EIP-6963](https://eips.ethereum.org/EIPS/eip-6963), which introduces an alternative wallet detection mechanism to the `window.ethereum` injected provider. This alternative mechanism enables dapps to support wallet interoperability by discovering multiple injected wallet providers in a user's browser. <br>

You can access the provider API using the selected EIP-6963 provider object.
{% endhint %}

### Connect using RainbowKit

You can add an option for Connect with Compass using [RainbowKit](https://www.rainbowkit.com/). You just have to import the `compassWallet` wallet.

```
import { compassWallet } from '@rainbow-me/rainbowkit/compassWallet';
```

### Connect using Wagmi

You can [inject](https://wagmi.sh/react/api/connectors/injected#target) the compass provider using Wagmi.

```
injected({
  target: {
    id: "compassWalletProvider",
    name: "Compass Wallet",
    provider: window.compassEvm,
  },
})
```

### Connect using web3-react

web3-react also has a way to inject a wallet, using that you can [inject](https://github.com/Uniswap/web3-react/tree/main/packages/eip1193) the compass provider.

```jsx
import { initializeConnector } from '@web3-react/core';
import { EIP1193 } from '@web3-react/eip1193';

export const [eip1193, hooks] = initializeConnector<EIP1193>(
  (actions) => new EIP1193({ actions, provider: window.compassEvm })
);
```

{% hint style="info" %}
If you are not going forward with using the EIP-6963 provider object, then to enable Compass integration, incorporate `window.compassEvm` into your dApp's wallet connection mechanism. Compass adheres to the `EIP-1193` standard for compatibility.
{% endhint %}

***

We hope this information helps you integrate Compass into your Sei EVM dApp. If you have any questions or need further assistance, please don't hesitate to reach out to us at <support@leapwallet.io>.

**Compass Brand Kit**: <https://www.notion.so/leapwallet/Compass-Brand-Kit-03b6575eb0bd4114a6b1583b4b1e148d>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/for-sei-evm-dapps-connect-to-compass/connect-to-compass.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
